Page MenuHomePhabricator

Point dumps.wikimedia.org to labstore1006/7
Closed, ResolvedPublic

Description

Task for actual migration

Event Timeline

bd808 moved this task from Backlog to Dumps on the Data-Services board.Mar 10 2018, 11:40 PM

Change 423078 had a related patch set uploaded (by Madhuvishy; owner: Madhuvishy):
[operations/dns@master] dns: Point dumps.wikimedia.org to labstore1007

https://gerrit.wikimedia.org/r/423078

Change 423933 had a related patch set uploaded (by Madhuvishy; owner: Madhuvishy):
[operations/puppet@production] dumps: Move dumps.wikimedia real cert from dataset1001 to labstore1007

https://gerrit.wikimedia.org/r/423933

Change 423938 had a related patch set uploaded (by Madhuvishy; owner: Madhuvishy):
[operations/dns@master] Update dumps TTL to 1M in prep for CNAME switch to labstore1007

https://gerrit.wikimedia.org/r/423938

Change 423938 merged by Madhuvishy:
[operations/dns@master] Update dumps TTL to 1M in prep for CNAME switch to labstore1007

https://gerrit.wikimedia.org/r/423938

Mentioned in SAL (#wikimedia-operations) [2018-04-04T15:14:05Z] <madhuvishy> Update ttl for dumps.wikimedia.org CNAME to 1M in prep for switchover to labstore1007 T188646

Change 423078 merged by Madhuvishy:
[operations/dns@master] dns: Point dumps.wikimedia.org to labstore1007

https://gerrit.wikimedia.org/r/423078

Mentioned in SAL (#wikimedia-operations) [2018-04-04T16:22:47Z] <madhuvishy> Change CNAME for dumps.wikimedia.org to labstore1007 T188646

Change 423933 merged by Madhuvishy:
[operations/puppet@production] dumps: Move dumps.wikimedia real cert from dataset1001 to labstore1007

https://gerrit.wikimedia.org/r/423933

Mentioned in SAL (#wikimedia-operations) [2018-04-04T16:26:02Z] <madhuvishy> Move cert for dumps.wikimedia.org to labstore1007 (do_acme: true) T188646

Notes from migration etherpad:

Starting at 14:30 UTC (7:30 PST) April 4, 2018

Goals:

  1. Point dumps.wikimedia.org to labstore1007

Migration Plan:

Pre:

  • [DONE] Announce to broader mailing lists that the migration is happening in 24 hours
  • [DONE] Downtime dataset1001 so alerts don't fire

During:

Rollback:

Change 424014 had a related patch set uploaded (by Madhuvishy; owner: Madhuvishy):
[operations/dns@master] Reset ttl for dumps.wikimedia.org to 1H post switchover

https://gerrit.wikimedia.org/r/424014

Change 424014 merged by Madhuvishy:
[operations/dns@master] Reset ttl for dumps.wikimedia.org to 1H post switchover

https://gerrit.wikimedia.org/r/424014

Mentioned in SAL (#wikimedia-operations) [2018-04-04T17:54:42Z] <madhuvishy> Reset ttl for dumps.wikimedia.org CNAME to 1H post switchover to labstore1007 T188646

This is all done. Leaving it open until all existing connections to dataset1001 drop off and we stop the web server there.

Change 424044 had a related patch set uploaded (by Madhuvishy; owner: Madhuvishy):
[operations/dns@master] Add ipv6 addresses for labstore1006 and 7

https://gerrit.wikimedia.org/r/424044

Change 424044 merged by Madhuvishy:
[operations/dns@master] Add ipv6 addresses for labstore1006 and 7

https://gerrit.wikimedia.org/r/424044

Change 424063 had a related patch set uploaded (by Madhuvishy; owner: Madhuvishy):
[operations/dns@master] Add PTR records for labstore1006|7

https://gerrit.wikimedia.org/r/424063

Change 424063 merged by Madhuvishy:
[operations/dns@master] Add PTR records for labstore1006|7

https://gerrit.wikimedia.org/r/424063

Change 428540 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] phabricator: make dumps server configurable

https://gerrit.wikimedia.org/r/428540

Change 428540 abandoned by Dzahn:
phabricator: make dumps server configurable, rsync to labstore1007

Reason:
solved by Ariel in other ways - see ticket

https://gerrit.wikimedia.org/r/428540